Mailinglist Archive: opensuse-packaging (83 mails)

< Previous Next >
Re: [opensuse-packaging] php5 compile questions
  • From: Cristian Rodríguez <crrodriguez@xxxxxxx>
  • Date: Wed, 22 Oct 2008 15:12:37 -0300
  • Message-id: <48FF6D15.4040507@xxxxxxx>
Andre Huebner escribió:
php4.spec file is different to the PHP5 one.

ok, is working now. It seems that some standard php4-extensions are
hardcoded to lib folder and are ignoring %_libdir params.
Latest php4.spec that i found is for php4-4.4.0, they used ~80 patches,
may be for this and other reasons...

The 80 patches contains fixes for this and many other problems, that's
one of the reasons why it is not included in newer products.

Sure php4 is outdatet but some require it for compatibility reasons.

Care to explain what are your "compatibility" problems ? other than " Im
lazy and I dont want to change some code?"

May be a more consequent way of realising 64bit OS?

maybe they use the wrong way ? ;-)

How is this issue
seen by other packagers.

There is absolutely nothing to fix in this case, PHP4 is swimming with
the fishes, let it rest in peace.

--
"A computer is like an Old Testament god, with a lot of rules and no
mercy. "

Cristian Rodríguez R.
Platform/OpenSUSE - Core Services
SUSE LINUX Products GmbH
Research & Development
http://www.opensuse.org/


< Previous Next >
Follow Ups